Login/urls.py
from django.conf.urls import url
from .views import index, logout_view,login_view

app_name = 'Login'

urlpatterns = [
    url(r'^$', index, name='login'),
    url(r'^validate/$', login_view, name='validate'),
    url(r'^logout/$', logout_view, name='logout')]

User/urls.py
from django.contrib import admin
from django.urls import path, include

from django.contrib.auth.views import LogoutView
from django.conf.urls import url
from . import views

app_name = "user"

urlpatterns = [
    path('register', views.register, name="register"),
    path('logout', LogoutView.as_view(), name='logout'),
    path('profile', views.view_profile, name="view_profile")
]

donasi_apd/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'apd'

urlpatterns = [
    path('', views.list_program, name='list_program'),
    path('<str:program>/', views.list_donatur, name='list_donatur_apd'),
]

donavid/urls.py
from django.contrib import admin
from django.urls import path, include

from django.conf.urls.static import  static
from . import settings
from Login.views import homepage

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')), 
    path('home/', homepage, name="homepage"),
    path('user/', include("User.urls", namespace="user")),
    path('login/', include(('Login.urls', 'login'), namespace='login')),
    path('testimoni/', include('testimoni.urls')),
    path('donasi-sosial/', include('donasi_sosial.urls')),
    path('formulir_donasi/', include('formulir_donasi_sosial.urls')),
    path('formulir_donasi_apd/', include('formulir_donasi_apd.urls')),
    path('donasi-apd/', include('donasi_apd.urls')),
    path('about-us/', include('about_us.urls')),
]


urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

donasi_apd/models.py
from django.db import models
from formulir_donasi_apd.models import DonasiAPD

# Create your models here.
class Donasiapd(models.Model):
    name   = models.CharField(max_length=200)
    photo  = models.ImageField(upload_to="static/img",null=True)
    target = models.IntegerField(null=True)
    remDay = models.IntegerField(null=True)
    donatur = models.ManyToManyField(DonasiAPD, blank=True)

donasi_apd/views.py
from django.shortcuts import render, redirect
from .models import Donasiapd

# Create your views here.
#start
def list_program(request):
    programs = Donasiapd.objects.all()
    response = {'programs': programs}
    return render(request, 'donasi_apd.html', response)

def list_donatur(request, program):
    donasi_total = Donasiapd.objects.get(pk=program)
    nama_program = Donasiapd.objects.get(pk=program).name
    response = {
        'donasi_terkumpul': donasi_total,
        'nama_program' : nama_program,
        }
    return render(request, 'list_donatur_apd.html', response)

donasi_apd/templates/donasi_apd.html
{% extends "base.html" %}
{% load static %}


{% block headone %}
<title>Donasi APD</title>
<link rel="stylesheet" type="text/css" href="{% static 'css/donasi_apd.css' %}">
{% endblock %}


{% block content %}

<div class="container-fluid bg-1">
    <h1 style="color:#000000;" class="judul">Donasi APD</h1>
    <div class="headerapd text-center">
        <img src="{% static 'img/apdcover.jpg' %}">
        <br></br>
        <a href="/donasi-apd/#program-donasi" style="padding-bottom: 50px; " class="center">
            <button type="submit" class="btn rounded-pill" style="background-color: #772E25; color: #ffffff;">Mulai
                Berdonasi!</button>
        </a>

        <h1 style="color:#772E25;" class="judul-deskripsi text-left">Tahukah Anda?</h1>
        <br></br>
        <p class="text-left"> Kurangnya suplai APD membuat banyak dokter memakai ulang masker dan sarung tangan karena stok yang sedikit, dan banyak yang menggunakan jas hujan karena baju APD sangat mahal dan terbatas.</p>
        <br></br>
        <h3 class="text-right">Ayo bantu donasi, agar para pahlawan tidak beresiko terpapar Covid!</h3>
        <br></br>
    </div>
</div>

<div class="container-fluid" id="program_donasi">

    <div id="program-donasi">
        <p class="judulProgramDonasi">Program Donasi</p>

        <div class="row ">
            {% if programs %}
            {% for program in programs %}

            <div class="col-lg-4 col-sm-6 mb-4">
                <div class="card">
                    <img class="card-img-top" src='/{{ program.photo }}'>


                    <div class="card-body">
                        <h5 class="card-title">{{ program.name }}</h5>
                        <p class="card-text">Harga: Rp.{{ program.target }}/buah</p>


                        {%if user.is_authenticated%}
                        
                        <div class="center">
                            <a href="{% url 'formulir_donasi_apd' program=program.pk %}" class="btn rounded-pill btn-donasi"
                                style="">Donasi</a>
                            <a href="{% url 'apd:list_donatur_apd' program=program.pk%}"
                                class="btn rounded-pill btn-donasi" style="">Lihat Donatur</a>
                        </div>

                        {% else %}
                        <div class="center" style="margin-top: 30px;">
                            <p style="font-size: 10px;">Silahkan Login/Sign Up untuk berdonasi :)</p>
                        </div>

                        <div class="center">
                            <a href="{% url 'Login:login' %}" class="btn rounded-pill btn-donasi"
                                style="">Login</a>
                            <a href="{% url 'user:register' %}"
                                class="btn rounded-pill btn-donasi" style="">Sign up</a>
                        </div>

                        <div class="center">
                            <a href="{% url 'apd:list_donatur_apd' program=program.pk%}" class="btn rounded-pill "
                                style="background-color: #ffffff; color: #772E25; text-decoration: underline;">Lihat Donatur</a>
                        </div>
                        
                        {% endif %}

                    </div>
                </div>
            </div>

            {% endfor %}

            {% else %}
            <div class="col-sm-12">
                <div class="roundedrec">
                    <div class="insiderec">
                        <h4 class="w3-left-align" style="color: #772E25"><strong>Tidak ada program</strong></h4>
                    </div>
                </div>
            </div>
            {% endif %}



        </div>
        <br>
            <p>More to come..</p>
    </div>
</div>




{% endblock %}

donasi_apd/templates/list_donatur_apd.html
{% extends "base.html" %}
{% load static %}

{% block headone %}
<title>Donasi APD</title>
<link rel="stylesheet" type="text/css" href="{% static 'css/donasi_apd.css' %}">
{% endblock %}

{% block content %}

<div class="container-fluid">
    <div class="row content">
        <div class="col-sm-12">

            <div></div>
            <h1 class="judulListDonatur center"> Donasi Terkumpul</h1>
            <h6 class="center namaProgramListDonatur">{{ nama_program}}</h6>

            
                <div class="container">
                    {% if donasi_terkumpul.donatur.all.count == 0 %}
                    <h3 class="belum-ada center">Belum ada donasi terkumpul</h3>
                    {% else %}
                    <table class="table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th scope="col">Nama Donatur </th>
                                <th scope="col">Donasi Terkumpul</th>
                            </tr>
                        </thead>

                        {% for data in donasi_terkumpul.donatur.all %}
                        {% if data == donasi_terkumpul.donatur.last %}
                        <tr>
                            <td scope="row">{{ data.nama }}</td>
                            <td scope="row">{{ data.jmldonasi }}</td>
                        </tr>
                        {% else %}
                        <tr>
                            <td scope="row">{{ data.nama }}</td>
                            <td scope="row">{{ data.jmldonasi }}</td>
                        </tr>
                        {% endif %}
                        {% endfor %}
                    </table>
                    {% endif %}
                </div>
            <br>

            <div class="center">
                <a href="/donasi-apd/#program-donasi" class="btn rounded-pill btn-donasi center btn-kembali" style="">Kembali</a>
            </div>

        </div>

    </div>
</div>
{% endblock %}